App\Library\Amazon\Classes\Microscope:
    xml_root_name: Microscope
    properties:
        microscopeType:
            expose: true
            access_type: public_method
            serialized_name: MicroscopeType
            accessor:
                getter: getMicroscopeType
                setter: setMicroscopeType
            type: string
        features:
            expose: true
            access_type: public_method
            serialized_name: Features
            accessor:
                getter: getFeatures
                setter: setFeatures
            xml_list:
                inline: true
                entry_name: Features
            type: array<string>
